Name:		handbrake
Version:	1.0.3
Release:	8%{?dist}
Summary:	A tool for converting video from nearly any format to a selection of modern, widely supported codecs

Group:		Applications/Multimedia
License:	GPLv2 with exceptions
URL:		http://handbrake.fr/
# Source0:	http://handbrake.fr/rotation.php?file=HandBrake-%{version}.tar.bz2
Source0:	HandBrake-%{version}.tar.bz2

BuildRequires:	wget, libtool, svn, intltool
BuildRequires:	yasm, zlib-devel, bzip2-devel, libogg-devel, libtheora-devel, libvorbis-devel, libsamplerate-devel, libxml2-devel, fribidi-devel, freetype-devel, fontconfig-devel, libass-devel, dbus-glib-devel, libgudev1-devel, webkitgtk3-devel, libnotify-devel, gstreamer-devel, gstreamer-plugins-base-devel
BuildRequires:	x264-devel
BuildRequires:	lame-devel
BuildRequires:	gtk+-devel
BuildRequires:	opus-devel
BuildRequires:	jansson-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
HandBrake is a tool for converting video from nearly any format to
a selection of modern, widely supported codecs.


%prep
%setup -q -n HandBrake-%{version}


%build
./configure --build=%{_host} --prefix=%{_prefix} --enable-fdk
# pushd build
pushd %{_host}
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
# pushd build
pushd %{_host}
make install DESTDIR=$RPM_BUILD_ROOT
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# %%doc AUTHORS COPYING CREDITS NEWS THANKS TRANSLATIONS doc/*
%{_bindir}/HandBrakeCLI
%{_bindir}/ghb
%{_datadir}/applications/ghb.desktop
%{_datadir}/icons/hicolor/*/apps/hb-icon.*
%{_datadir}/locale/*/LC_MESSAGES/ghb.mo


%changelog
* Sun Feb 26 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.3-8
- update to version 1.0.3

* Sun Feb 19 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.2-7
- update to version 1.0.2

* Tue Jan  3 2017 J. Randall Owens <jrowens@ghiapet.net> - 1.0.1-6
- correct Group

* Fri Dec 30 2016 J. Randall Owens <jrowens@ghiapet.net> - 1.0.1-5
- update to version 1.0.1
- add BuildRequires jansson-devel, opus-devel

* Sun Dec  4 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.10.5-4
- re-enable FDK-AAC

* Thu Nov 24 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.10.5-2
- clean up per rpmlint

* Sat Jun 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.10.5-1
- update to version 0.10.5

* Thu Dec 25 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 0.10.0-1
- Update to version 0.10.0

* Fri Mar  7 2014 J. Randall Owens <jrowens@rs3.ghiapet.net> - 0.9.9-2
- try adding x264 to see if that prevents crash

